using SqlSugar;
using Volo.Abp.Domain.Entities.Auditing;

namespace Yi.Framework.AiHub.Domain.Entities.Chat;

[SugarTable("Ai_Session")]
[SugarIndex($"index_{{table}}_{nameof(UserId)}",$"{nameof(UserId)}", OrderByType.Asc)]
public class SessionAggregateRoot : FullAuditedAggregateRoot<Guid>
{
    public Guid UserId { get; set; }
    public string SessionTitle { get; set; }
    
    [SugarColumn(ColumnDataType = StaticConfig.CodeFirst_BigString)]
    public string SessionContent { get; set; }
    public string? Remark { get; set; }
}